remove_if.hpp File Reference

## Functions

template<typename I , typename S , typename C , typename P = identity>
auto | ranges::remove_if (I first, S last, C pred, P proj=P{}) -> I requires permutable< I > &&sentinel_for< S, I > &&indirect_unary_predicate< C, projected< I, P >>
| function template `remove_if`
template<typename Rng , typename C , typename P = identity>
auto | ranges::remove_if (Rng &&rng, C pred, P proj=P{}) -> safe_iterator_t< Rng > requires forward_range< Rng > &&permutable< iterator_t< Rng >> &&indirect_unary_predicate< C, projected< iterator_t< Rng >, P >>